
Orangutan - Improvement #192

SQL optimization

02 Apr 2010 12:13 - Andriy Lesyuk

Status: Open Start date:  

Priority: Major Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category: Core Estimated time: 0.00 hour

Target version: 1.07   

Description

It should be researched how much SQL queries are done for a one request. There should be added some “profiler”... A code using

SQL should be optimized to use minumal number of queries. Maybe also some “caching” should be added.

Related issues:

Related to Orangutan - Improvement #918: Profiler/optimization Open 22 Sep 2010

History

#1 - 16 Sep 2010 20:16 - Andriy Lesyuk

- Priority changed from Minor to Major

#2 - 22 Sep 2010 17:22 - Andriy Lesyuk

- Target version set to 1.04

#3 - 15 Oct 2010 18:34 - Andriy Lesyuk

- Target version changed from 1.04 to 1.05

#4 - 29 Oct 2010 23:59 - Andriy Lesyuk

- Category set to Core

#5 - 11 Dec 2010 02:18 - Andriy Lesyuk

- Target version changed from 1.05 to 1.07

#6 - 03 Mar 2011 21:40 - Andriy Lesyuk

Perl DBI allows to prepare SQL query with placeholders... The resulting variable can be reused. The document claims it will speed up the

application...
